void printi(int val);

enum {
  TEST_ENUM_0 = 0,
  TEST_ENUM_1,
  TEST_ENUM_2,
  TEST_ENUM_3,
  TEST_ENUM_NUM
} e;

int main()
{
  int a[TEST_ENUM_NUM];
  int i;

  printi(sizeof(a));

  for (i = 0; i < TEST_ENUM_NUM; i++)
    a[i] = i;

  for (i = 0; i < TEST_ENUM_NUM; i++)
    printi(a[i]);

  return 0;
}
